Support » Plugin: OAuth Single Sign On - SSO (OAuth client) » FOUND 5 ERRORS AFFECTING 2 LINES

  • Resolved bjepson42

    (@bjepson42)


    FILE: /home/bacon6/public_html/wp-content/plugins/miniorange-oauth-client-enterprise/mo_oauth_settings_page.php
    ————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ————————————————————————————————————————-
    1 | WARNING | File has mixed line endings; this may cause incorrect results
    ————————————————————————————————————————-

    FILE: /home/bacon6/public_html/wp-content/plugins/miniorange-oauth-client-enterprise/eveonline/vendor/3rdpartyeve/phealng/lib/Pheal/Fetcher/File.php
    ————————————————————————————————————————————————————–
    FOUND 0 ERRORS AND 4 WARNINGS AFFECTING 4 LINES
    ————————————————————————————————————————————————————–
    84 | WARNING | INI directive ‘track_errors’ is deprecated since PHP 7.2
    85 | WARNING | INI directive ‘track_errors’ is deprecated since PHP 7.2
    125 | WARNING | INI directive ‘track_errors’ is deprecated since PHP 7.2
    132 | WARNING | INI directive ‘track_errors’ is deprecated since PHP 7.2
    ————————————————————————————————————————————————————–

    FILE: /home/bacon6/public_html/wp-content/plugins/miniorange-oauth-client-enterprise/mo_oauth_settings.php
    ——————————————————————————————————————–
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ——————————————————————————————————————–
    1 | WARNING | File has mixed line endings; this may cause incorrect results
    ——————————————————————————————————————–

    FILE: /home/bacon6/public_html/wp-content/plugins/miniorange-oauth-client-enterprise/Crypt/Random.php
    ——————————————————————————————————————————————————-
    FOUND 5 ERRORS AFFECTING 2 LINES
    ——————————————————————————————————————————————————-
    77 | ERROR | Extension ‘mcrypt’ is deprecated since PHP 7.1 and removed since PHP 7.2; Use openssl (preferred) or pecl/mcrypt once available instead
    77 | ERROR | Function mcrypt_create_iv() is deprecated since PHP 7.1 and removed since PHP 7.2; Use random_bytes() or OpenSSL instead
    116 | ERROR | Extension ‘mcrypt’ is deprecated since PHP 7.1 and removed since PHP 7.2; Use openssl (preferred) or pecl/mcrypt once available instead
    116 | ERROR | Function mcrypt_create_iv() is deprecated since PHP 7.1 and removed since PHP 7.2; Use random_bytes() or OpenSSL instead
    116 | ERROR | The constant “MCRYPT_DEV_URANDOM” is deprecated since PHP 7.1 and removed since PHP 7.2
    ——————————————————————————————————————————————————-

    FILE: /home/bacon6/public_html/wp-content/plugins/miniorange-oauth-client-enterprise/class-mo-oauth-widget.php
    ————————————————————————————————————————
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ————————————————————————————————————————
    1 | WARNING | File has mixed line endings; this may cause incorrect results
    ————————————————————————————————————————

    FILE: /home/bacon6/public_html/wp-content/plugins/miniorange-oauth-client-enterprise/views/mo_oauth_manage_page.php
    —————————————————————————————————————————–
    FOUND 0 ERRORS AND 2 WARNINGS AFFECTING 2 LINES
    —————————————————————————————————————————–
    1 | WARNING | File has mixed line endings; this may cause incorrect results
    339 | WARNING | Function dL() is deprecated since PHP 5.3
    —————————————————————————————————————————–

Viewing 1 replies (of 1 total)
  • Plugin Author miniOrange

    (@cyberlord92)

    Hello,

    We have released a new version of our plugin compatible with PHP 7.2. Please upgrade to our latest version.

    Let me know in case you see any issue.

Viewing 1 replies (of 1 total)
  • The topic ‘FOUND 5 ERRORS AFFECTING 2 LINES’ is closed to new replies.